import * as $dara from '@darabonba/typescript';
import { DescribeExposedCheckWarningResponseBody } from "./DescribeExposedCheckWarningResponseBody";
export declare class DescribeExposedCheckWarningResponse extends $dara.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: DescribeExposedCheckWarningResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
